Any dependencies on Ubuntu version while flashing images to SOM

Hi ,

We tried to flash AGX SOM with customised Debian package :

  1. Laptop with Ubuntu version 18.04.5 we are able to flash , getting configuration page for configure and later getting Login page for Login and working fine.

  2. Laptop with other Ubuntu version we are not able to flash for the first time we got error as attached ,
    error.txt (65.1 KB)

    Second time when we tried to flash, we are able to flash , getting configuration page for configure but later we are not getting Login page.

When we connect board with UART DBG , it asking login detail’s and we are able to login .

Is there any dependency on Ubuntu version for flashing ?

Just try to remove any possible factors here.

If there is no “customized Debian package”, will you still hit this issue?

What is “other ubuntu version”?

@WayneWWW With Ubuntu version 18.04.5 it was working fine , But with Ubuntu version 18.04.6 and 18.04 not working ( We are facing issue )

If other versions don’t work, what is the error message? Perhaps there is just a need for another package.

For the first time we getting this error error.txt (65.1 KB)

i.e

[ 15.0971 ] Writing partition APP with system.img
[ 73.1282 ] [… ] 020%
Error: Return value -9
Command tegradevflash_v2 --pt flash.xml.bin --create
Failed flashing t186ref.

when we tried second time , we are able to flash , getting configuration page for configure but later we are not getting Login page.

When we connect board with UART DBG , it asking login detail’s and we are able to login .

The error.txt is a flash log, and indicates other partitions were written successfully, but the rootfs (APP) fails. I don’t know why that one partition would fail, but I will speculate that one of the more common problems is running out of disk space on the host PC, or, given that this is a custom board, perhaps the rootfs partition image has problems (such as wrong size…just speculating).

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.